Index: trunk/source/visualization/management/include/G4ViewParameters.hh
===================================================================
--- trunk/source/visualization/management/include/G4ViewParameters.hh	(revision 896)
+++ trunk/source/visualization/management/include/G4ViewParameters.hh	(revision 897)
@@ -156,11 +156,16 @@
         G4int            GetWindowAbsoluteLocationHintX (G4int) const;
         G4int            GetWindowAbsoluteLocationHintY (G4int) const;
-        G4int            GetWindowSizeHintX      () const;
-        G4int            GetWindowSizeHintY      () const;
+        unsigned int     GetWindowSizeHintX      () const;
+        unsigned int     GetWindowSizeHintY      () const;
         G4int            GetWindowLocationHintX  () const;
         G4int            GetWindowLocationHintY  () const;
   const G4String&        GetXGeometryString      () const;
-  // If non-null, can be interpreted with XParseGeometry (see man
-  // pages).  Supercedes GetWindowSizeHintX/Y.
+  // GetXGeometryString is intended to be parsed by XParseGeometry.
+  // It contains the size information, as in GetWindowSizeHint, but
+  // may also contain the window position, e.g., "600x600-0+200.  The
+  // viewer should use this in preference to GetWindowSizeHint, since
+  // it contains more information.  (The size information in
+  // GetXGeometryString and GetWindowSizeHint is guaranteed to be
+  // identical.)
         G4bool           IsAutoRefresh           () const;
   const G4Colour&        GetBackgroundColour     () const;
Index: trunk/source/visualization/management/include/G4ViewParameters.icc
===================================================================
--- trunk/source/visualization/management/include/G4ViewParameters.icc	(revision 896)
+++ trunk/source/visualization/management/include/G4ViewParameters.icc	(revision 897)
@@ -162,23 +162,17 @@
 }
 
-inline G4int G4ViewParameters::GetWindowSizeHintX () const {
+inline unsigned int G4ViewParameters::GetWindowSizeHintX () const {
   return fWindowSizeHintX;
 }
 
-inline G4int G4ViewParameters::GetWindowSizeHintY () const {
+inline unsigned int G4ViewParameters::GetWindowSizeHintY () const {
   return fWindowSizeHintY;
 }
 
 inline G4int G4ViewParameters::GetWindowLocationHintX () const {
-#ifdef G4DEBUG
-        printf("G4ViewParameters::GetWindowLocationHintX () :: %d\n",fWindowLocationHintX);
-#endif
   return fWindowLocationHintX;
 }
 
 inline G4int G4ViewParameters::GetWindowLocationHintY () const {
-#ifdef G4DEBUG
-        printf("G4ViewParameters::GetWindowLocationHintY () :: %d\n",fWindowLocationHintY);
-#endif
   return fWindowLocationHintY;
 }
@@ -343,7 +337,4 @@
 
 inline void G4ViewParameters::SetWindowLocationHint (G4int xHint, G4int yHint) {
-#ifdef G4DEBUG
-        printf("G4ViewParameters::SetWindowLocationHint () :: %d %d\n",xHint,yHint);
-#endif
   fWindowLocationHintX = xHint;
   fWindowLocationHintY = yHint;
Index: trunk/source/visualization/management/include/G4VisManager.hh
===================================================================
--- trunk/source/visualization/management/include/G4VisManager.hh	(revision 896)
+++ trunk/source/visualization/management/include/G4VisManager.hh	(revision 897)
@@ -353,15 +353,4 @@
   const G4SceneList&           GetSceneList                () const;
   Verbosity                    GetVerbosity                () const;
-  void  GetWindowSizeHint (G4int& xHint, G4int& yHint) const;
-  // Note: GetWindowSizeHint information is returned via the G4int& arguments.
-  void  GetWindowLocationHint (G4int& xHint, G4int& yHint) const;
-  const G4String&              GetXGeometryString          () const;
-  // GetXGeometryString is intended to be parsed by XParseGeometry.
-  // It contains the size information, as in GetWindowSizeHint, but
-  // may also contain the window position, e.g., "600x600-0+200.  The
-  // viewer should use this in preference to GetWindowSizeHint, since
-  // it contains more information.  (The size information in
-  // GetXGeometryString and GetWindowSizeHint is guaranteed to be
-  // identical.)
   G4bool                       GetTransientsDrawnThisRun       () const;
   G4bool                       GetTransientsDrawnThisEvent     () const;
@@ -381,7 +370,4 @@
   void              SetVerboseLevel             (const G4String&);
   void              SetVerboseLevel             (Verbosity);
-  void              SetWindowSizeHint           (G4int xHint, G4int yHint);
-  void              SetWindowLocationHint           (G4int xHint, G4int yHint);
-  void              SetXGeometryString          (const G4String&);
   void              SetEventRefreshing          (G4bool);
   void              ResetTransientsDrawnFlags   ();
@@ -458,7 +444,4 @@
   std::vector<G4UIcommand*>   fDirectoryList;
   G4VisStateDependent*  fpStateDependent;   // Friend state dependent class.
-  G4int fWindowSizeHintX, fWindowSizeHintY; // For viewer...
-  G4int fWindowLocationHintX, fWindowLocationHintY; // For viewer...
-  G4String              fXGeometryString;   // ...construction.
   G4TrajectoriesModel   dummyTrajectoriesModel;  // For passing drawing mode.
   G4bool                fEventRefreshing;
Index: trunk/source/visualization/management/src/G4ViewParameters.cc
===================================================================
--- trunk/source/visualization/management/src/G4ViewParameters.cc	(revision 896)
+++ trunk/source/visualization/management/src/G4ViewParameters.cc	(revision 897)
@@ -87,7 +87,4 @@
   fPicking (false)
 {
-#ifdef G4DEBUG
-  printf("G4ViewParameters::Create \n");
-#endif
   fDefaultMarker.SetScreenSize (5.);
   // Markers are 5 pixels "overall" size, i.e., diameter.
Index: trunk/source/visualization/management/src/G4VisCommandsViewer.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisCommandsViewer.cc	(revision 896)
+++ trunk/source/visualization/management/src/G4VisCommandsViewer.cc	(revision 897)
@@ -488,7 +488,5 @@
 ////////////// /vis/viewer/create ///////////////////////////////////////
 
-G4VisCommandViewerCreate::G4VisCommandViewerCreate ():
-  fId (0)
- {
+G4VisCommandViewerCreate::G4VisCommandViewerCreate (): fId (0) {
   G4bool omitable;
   fpCommand = new G4UIcommand ("/vis/viewer/create", this);
@@ -638,47 +636,7 @@
   }
 
-
-  // Parse windowSizeHintString to extract first field for backwards
-  // compatibility...
-  std::istringstream issw;
-  G4int windowSizeHint;
-  size_t i;
-#ifdef G4DEBUG
-    printf("G4VisCommandViewerCreate::SetNewValue string\n");
-#endif
-  for (i = 0; i < windowSizeHintString.size(); ++i) {
-    char c = windowSizeHintString[i];
-#ifdef G4DEBUG
-    printf("%c",c);
-#endif
-    if (c == 'x' || c == 'X' || c == '+' || c == '-') break;
-  }
-#ifdef G4DEBUG
-    printf("\n");
-#endif
-  if (i != windowSizeHintString.size()) {
-    // x or X or + or - found - must be a X-Window-type geometry string...
-    // Pick out the first field for backwards compatibility...
-    issw.str(windowSizeHintString.substr(0,i));
-    issw >> windowSizeHint;
-  } else { // ...old-style integer...
-    issw.str(windowSizeHintString);
-    if (!(issw >> windowSizeHint)) {
-      if (verbosity >= G4VisManager::errors) {
-	G4cout << "ERROR: Unrecognised geometry string \""
-	       << windowSizeHintString
-	       << "\".  Using 600."
-	       << G4endl;
-      }
-      windowSizeHint = 600;
-    }
-    // Reconstitute windowSizeHintString...
-    std::ostringstream ossw;
-    ossw << windowSizeHint << 'x' << windowSizeHint;
-    windowSizeHintString = ossw.str();
-  }
   // WindowSizeHint and XGeometryString are picked up from the vis
-  // manager in the G4VViewer constructor.  They have to be held by
-  // the vis manager until the viewer is contructed - next line...
+  // manager in the G4VViewer constructor. In G4VisManager, after Viewer
+  // creation, we will store theses parameters in G4ViewParameters.
 
   fpVisManager -> CreateViewer (newName,windowSizeHintString);
@@ -1528,4 +1486,2 @@
   SetViewParameters(currentViewer, vp);
 }
-
-
Index: trunk/source/visualization/management/src/G4VisManager.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisManager.cc	(revision 896)
+++ trunk/source/visualization/management/src/G4VisManager.cc	(revision 897)
@@ -199,7 +199,4 @@
 
 void G4VisManager::Initialise () {
-#ifdef G4DEBUG
-  printf("G4VisManager::Initialise\n");
-#endif
 
   if (fVerbosity >= startup) {
@@ -652,33 +649,18 @@
 
 void G4VisManager::CreateViewer (G4String name,G4String XGeometry) {
-#ifdef G4DEBUG
-  printf("G4VisManager::CreateViewer TOP\n");
-#endif
 
   if (!fInitialised) Initialise ();
-#ifdef G4DEBUG
-  printf("G4VisManager::CreateViewer 2\n");
-#endif
 
   if (fpSceneHandler) {
-#ifdef G4DEBUG
-    printf("G4VisManager::CreateViewer 3\n");
-#endif
     G4VViewer* p = fpGraphicsSystem -> CreateViewer (*fpSceneHandler, name);
-#ifdef G4DEBUG
 
     // Viewer is created, now we can set geometry parameters
     // Before 12/2008, it was done in G4VViewer.cc but it did not have to be there!
-
+    
     G4ViewParameters vp = p->GetViewParameters();
     vp.SetXGeometryString(XGeometry);
-    p->SetViewParameters(vp);
-
-    printf("G4VisManager::CreateViewer 4\n");
-#endif
+    p->SetViewParameters(vp); //parse string and store parameters
+    
     if (!p) {
-#ifdef G4DEBUG
-      printf("G4VisManager::CreateViewer !p\n");
-#endif
       if (fVerbosity >= errors) {
 	G4cout << "ERROR in G4VisManager::CreateViewer during "
@@ -688,15 +670,6 @@
       }
     } else {
-#ifdef G4DEBUG
-    printf("G4VisManager::CreateViewer 5\n");
-#endif
       p -> Initialise ();
-#ifdef G4DEBUG
-    printf("G4VisManager::CreateViewer 6\n");
-#endif
       if (p -> GetViewId() < 0) {
-#ifdef G4DEBUG
-        printf("G4VisManager::CreateViewer Id <0\n");
-#endif
 	if (fVerbosity >= errors) {
 	G4cout << "ERROR in G4VisManager::CreateViewer during "
@@ -706,15 +679,6 @@
 	}
       } else {
-#ifdef G4DEBUG
-    printf("G4VisManager::CreateViewer 7\n");
-#endif
 	fpViewer = p;                             // Make current.
-#ifdef G4DEBUG
-    printf("G4VisManager::CreateViewer 8\n");
-#endif
 	fpSceneHandler -> AddViewerToList (fpViewer);
-#ifdef G4DEBUG
-  printf("G4VisManager::CreateViewer 9\n");
-#endif
 	fpSceneHandler -> SetCurrentViewer (fpViewer);
 
@@ -724,11 +688,5 @@
 	}
 
-#ifdef G4DEBUG
-  printf("G4VisManager::CreateViewer 10 Read parameters\n");
-#endif
 	const G4ViewParameters& vp = fpViewer->GetViewParameters();
-#ifdef G4DEBUG
-  printf("G4VisManager::CreateViewer 11 END of read Parameters\n");
-#endif
 	if (fVerbosity >= parameters) {
 	  G4cout << " view parameters are:\n  " << vp << G4endl;
@@ -766,7 +724,4 @@
   }
   else PrintInvalidPointers ();
-#ifdef G4DEBUG
-  printf("G4VisManager::END OF CreateViewer\n");
-#endif
 }
 
